
Redmine - Defect #7807

Gantt subjects rendering is broken with IE6/IE7

2011-03-08 10:20 - Etienne Massip

Status: Closed Start date: 2011-03-08

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Since of #7280, IE6 rendering of issue/version/project subjects in Gantt is very ugly :

if the issue is not assigned to anybody, then the truncated subject will be aligned on the left, thus overlapping the icon

else and if use of gravatar is enabled, then truncated subject will not be displayed at all

 

This can be seen with IE8 in IE7 document mode too.

Related issues:

Related to Redmine - Defect #7280: Issues subjects wrap in Gantt Closed 2011-01-11

History

#1 - 2011-03-08 10:51 - Etienne Massip

- Subject changed from Issue subjects rendering is messed up with IE6 to Gantt subjects rendering is broken with IE6

#2 - 2011-03-11 12:09 - Etienne Massip

- Subject changed from Gantt subjects rendering is broken with IE6 to Gantt subjects rendering is broken with IE6/IE7

#3 - 2011-04-08 12:31 - Andy Bolstridge

is this really a problem that needs fixing? IE6 is end-of-life and Microsoft is desperately trying to get rid of it, now IE9 is available (and their

recommended browser), should supporting IE7 be worth the effort?

#4 - 2011-04-08 14:05 - Etienne Massip

Not sure. According to http://ie6countdown.com, there is still a lot of IE6 users, though.

#5 - 2011-05-02 10:30 - Robert Schneider

-1

Then, Redmine should also work with IE5, IE4, Netscape, ...

Where is the limit? What does Redmine support?

People should use newer browser versions. Redmine could require this, as I would say. Other work in Redmine is more important than this issue.
#6 - 2011-05-09 20:13 - Etienne Massip

People should use newer browser versions. Redmine could require this, as I would say.

 People is not an issue, but browsers on workstations in a company are not systematically up to date (IE6 still is 11%).

Other work in Redmine is more important than this issue.

 This issue disallows the use of the Gantt chart to IE6 users and the work to solve it has already been done with #7280.

But I guess it wil finally be closed as a Won't fix ; anyway we should consider adding browsers versions in Redmine requirements.

#7 - 2011-05-18 19:03 - steve borgelt

Thx Entienne.

I believe this happens in IE9 also, when in normal IE9 render mode. However I am using the gantt_edit patch. See notes. 

http://www.redmine.org/issues/2024#note-66

#8 - 2011-11-04 12:57 - Mario Luzeiro

- File Bug_Gant_Redmine.jpg added

I'm using Opera and I think I have same problem. I test it IE8 and it works fine!

I'm using last SVN redmine

Also the graph in gantt doesn't appear. But if you move your mouse in the issue you can read the issue description.

#9 - 2011-11-04 14:38 - Mario Luzeiro

I found that should be a Opera issue with overflow-x option:

http://www.brunildo.org/test/Overflowxy2.html

I dont know if redmine can do anything with this.

#10 - 2011-11-04 15:01 - Mario Luzeiro

I found that in Opera, if I cut the

white-space: nowrap;

it works better!

#11 - 2011-12-15 14:18 - Eric Voisard

-1

Still supporting IE6 won't help in giving the final blow to that old crap.

It's time for those last 11% (now 8% at ie6countdown.com and 2.3% at statcounter.com) users/companies to do the update, while Redmine's human

resources can focus on new PM features.

#12 - 2011-12-15 14:21 - Etienne Massip

- Status changed from New to Closed

- Target version deleted (Candidate for next minor release)

- Resolution set to Wont fix

Indeed.
